21 Commits (master)

Author SHA1 Message Date
  htgoebel bc5a080aa5 setup: Unpin version requirement for package wheel. 6 months ago
  heck 3615191b11 Build: python_requires = >=3.7,<3.9 (since linux and mac might be different) 7 months ago
  heck 9a75cab9cd Build: update supported python versions 7 months ago
  heck 4795d25492 BUILD: Add lxml and termcolor to test requirements 7 months ago
  heck 04cd048ee4 Update author credits 12 months ago
  heck cccabb66c3 now rename the tests suite to tests again 12 months ago
  heck e3c53a0d3c Rebuild and fix pytest based tests in new dir tests_new. To work with defined env for engine using separate process per test. 12 months ago
  heck d24ef6888e yes, install doest require anything. (yet) 12 months ago
  heck 32c70ecf7c we build egg and wheel pkg 12 months ago
  heck 2a7ed3bb32 no tox for now, too many unfinished things in this repo that dont work atm. 12 months ago
  heck 2a1c053d56 setuptools_scm min version 12 months ago
  heck 28a29a1c65 hartmut recommends: setuptools >= 39.2.0, which supports the `version` file attribute 1 year ago
  heck 58c3399307 name correction 1 year ago
  juga 4fba1cf12d Add initial docs structure 1 year ago
  juga d9b0ae91ec Format correctly tests extra dependencies 1 year ago
  juga 922c88fbbe Remove unneded install dependency 1 year ago
  juga 12c182f1ac Obtain package version from SCM 1 year ago
  heck eef024b25f setup.cfg some keys added, values are all WIP still 1 year ago
  heck 3e76763128 start getting the deps into setup.cfg 1 year ago
  heck fd03e4b75c start getting declarative with setup.cfg 1 year ago